Description

GRSF records should be citable through a citation button available within the catalogue portlet

The citation statement will be built according to the value of fields reported in the record itself

Subtasks:

Feature # 12278: Complete Citation development Closed

History

#1 - Jan 18, 2018 10:14 AM - Leonardo Candela

- File Screen Shot 2018-01-18 at 10.11.24.png added

I'm wondering whether this is going to be something just producing a string (which one?) as we did for the "Share Link" or something richer like

expanding and extending the CKAN social facility (see attachment) we hided up to now.   

I'll be in favor of the second one although it might me more challenging. Enabling to "share" the records by a larger pool of "channels" will certainly

contribute to enlarge the visibility.  

#2 - Jan 18, 2018 11:40 AM - Aureliano Gentile

A comment about sharing: in its first release(s) the GRSF will be not open to the public, probably open upon registration and as of today we do not

know yet under which  conditions. Hence the social buttons do not appear to be much relevant today. On the contrary they may trigger disfavoring

reactions.  

#3 - Feb 28, 2018 02:19 PM - Massimiliano Assante

please @costantino.perciante@isti.cnr.it reassign the ticket to the person responsible for this component from tomorrow.

#4 - Feb 28, 2018 03:45 PM - Costantino Perciante

- Assignee changed from Costantino Perciante to Francesco Mangiacrapa

#5 - Jul 26, 2018 02:24 PM - Luca Frosini

- Tracker changed from Task to Feature

- Project changed from 8 to StocksAndFisheriesKB

- Category deleted (Default)

- Target version changed from WP05 to GRSF

#6 - Sep 10, 2018 06:28 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

I'm going to add a custom facility (e.g. a link like "Share by Citation") for the CKAN GRSF template in order to show by clicking on it a popup

containing the citation field of a record.

The citation text shown (by the popup) will be modified just replacing the string "[Date accessed and/or downloaded]" with the current time (that by

javascript is new Date().toLocaleString()).

I will notify you as soon as the above facility will be available for the GRSF ADMIN Catalogue.

#7 - Sep 12, 2018 06:25 PM - Francesco Mangiacrapa

- File Cite_the_record.png added
- Status changed from In Progress to Feedback

@aureliano.gentile@fao.org, @pasquale.pagano@isti.cnr.it,

From #12278 I understood that the current citation text for GRSF records is not completed...

However, I just released the facility "Cite this" (see the attached file) in the GRSF_ADMIN Catalogue (CKAN-side).

By clicking on it the citation text (of the record) is shown as popup just by replacing the string "[Date accessed and/or downloaded]" with the current

time.

You can try it e.g. at http://data.d4science.org/ctlg/GRSF_Admin/c58637dd-3a63-3e54-b132-e07f9ed34454

Let me know if it sounds for you

#8 - Sep 13, 2018 12:03 PM - Aureliano Gentile

Thanks, the functionality looks good to me.

Indeed the content of the citation needs to be updated as per clarifications provided at https://support.d4science.org/issues/12278#note-6 

The button and/or the mouse over and/or the header may simply say "Citation" or "GRSF record citation".

Item vs Record, we already discussed on that, GRSF stands for Global Record of Stocks and Fisheries, not Global Item for Stocks and Fisheries ;-) 

Anyway, fine with me as long the content of the citation is fixed, colleagues may further advice...and many thanks!

#9 - Sep 13, 2018 04:32 PM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

I just changed the name of the button from "Cite this" to "Citation" and his hover at "GRSF Record Citation". I'm going to close this ticket.

#10 - Sep 13, 2018 04:37 PM - Aureliano Gentile

with thanks

#11 - Oct 04, 2018 03:34 PM - Francesco Mangiacrapa

By clicking on Citation facility the string: [Date accessed and/or downloaded] in the Citation" field of a GRSF record is replaced with the current date

through javascript snippet.

I just updated it replacing the old date formatter with the ISO-Date one (e.g. Thu Oct 04 2018 15:23:17 GMT+0200 (CEST))

Files

Screen Shot 2018-01-18 at 10.11.24.png 23.5 KB Jan 18, 2018 Leonardo Candela

Cite_the_record.png 37.3 KB Sep 12, 2018 Francesco Mangiacrapa
